<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.InstanceDB ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <HeaderAuthor>IBAE</HeaderAuthor>
      <InstanceOfName>Visu_CheckTrolley</InstanceOfName>
      <InstanceOfType>FB</InstanceOfType>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input" />
  <Section Name="Output" />
  <Section Name="InOut" />
  <Section Name="Static">
    <Member Name="SearchDaten" Datatype="&quot;UTrolley&quot;" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="OutDaten" Datatype="&quot;UTrolley&quot;" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="Leerfeld" Datatype="&quot;UTrolley&quot;" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="Daten_Speichern" Datatype="Bool" Remanence="Retain" />
    <Member Name="Errors" Datatype="Struct" Remanence="Retain">
      <Member Name="Datenbank" Datatype="Bool" />
      <Member Name="SFC20" Datatype="Bool" />
      <Member Name="Listenende" Datatype="Bool" />
      <Member Name="Parameter" Datatype="Bool" />
      <Member Name="Stammdaten" Datatype="Bool" />
      <Member Name="Outdaten" Datatype="Bool" />
    </Member>
    <Member Name="Ergebnis" Datatype="Struct" Remanence="Retain">
      <Member Name="Keine Abfrage" Datatype="Bool" />
      <Member Name="Falsche_Abfrage" Datatype="Bool" />
      <Member Name="Keine Daten" Datatype="Bool" />
      <Member Name="Daten_vorhanden" Datatype="Bool" />
      <Member Name="Abruf_erfolgt" Datatype="Bool" />
      <Member Name="Eintrag_erfolgt" Datatype="Bool" />
      <Member Name="Position" Datatype="Int" />
      <Member Name="TrolleyID" Datatype="DInt">
        <AttributeList>
          <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
          <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
          <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
        </AttributeList>
      </Member>
      <Member Name="ShopGroup" Datatype="DInt">
        <AttributeList>
          <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
          <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
          <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
        </AttributeList>
      </Member>
    </Member>
    <Member Name="RET_VAL_BLKMOV" Datatype="Int" Remanence="Retain" />
  </Section>
</Sections></Interface>
      <Name>DVisu_CheckTrolley</Name>
      <Namespace />
      <Number>158</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="3" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.InstanceDB>
</Document>